PhpStorm 7 on the Open JDK - no dice

Testing out the latest PhpStorm release on the Open JDK on Linux provided poor results (as expected).

I use Sublime Text 21 at home and at work, but recently my colleagues at work have been trying to convince me to go back to using an IDE in the form of PhpStorm from JetBrains. With the recent release of PhpStorm 72, I thought this was a good opportunity to grab a trail version and give it a go.

Unfortunately however in their requirements section under Linux, they state the following3:

Oracle (Sun) JDK 1.6 or higher. Open JDK is not supported.

Bummer. I can think of at least two reasons why I try to avoid installing the Oracle JDK on my own machines:

  1. It is a manual installation, not yum based4. Oracle do not provide a yum repo for Fedora/RHEL/CentOS.
  2. As it is not yum based, running "yum update" will not get me the latest version of Java with all of the security fixes (and we all know how often that is required).

Being curious, I tried to run it under the Open JDK regardless, and can confirm that it does appear to work on Fedora 19 using the Open JDK, but it is slow on my machine (i7 with 8GB of RAM and an SSD). In fairness though it does make it clear with this warning message when you run it that this is to be expected:

"./ WARNING: You are launching the IDE using OpenJDK Java runtime.
NOTE: If you have both Oracle (Sun) JDK and OpenJDK installed please validate either 
WEBIDE_JDK, JDK_HOME, or JAVA_HOME environment variable points to valid Oracle (Sun) 
JDK installation. See for more info on switching default JDK."

So yeah, I guess they weren't kidding in their list of requirements. Oracle JDK or suffer a degraded performance. I'll pass for now as I am pretty happy with Sublime Text, but I am hearing a lot of praise for PhpStorm.


John Collins

I have been writing about web technology and software development since 2001. I am the developer of the Alpha Framework for PHP, and the personal productivity app. I love open source, technology, and economics.